Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1361060

Summary: Healing of few files taking more time during update from 3.0.4 to 3.1.3_Async
Product: Red Hat Gluster Storage Reporter: Byreddy <bsrirama>
Component: replicateAssignee: Pranith Kumar K <pkarampu>
Status: CLOSED WONTFIX QA Contact: storage-qa-internal <storage-qa-internal>
Severity: unspecified Docs Contact:
Priority: low    
Version: rhgs-3.1CC: amukherj, bsrirama, ravishankar, rhs-bugs
Target Milestone: ---Keywords: ZStream
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-09-01 11:49:34 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Byreddy 2016-07-28 09:37:09 UTC
Description of problem:
========================
Healing of few files taking long time during update from 3.0.4 to 3.1.3_Async



Version-Release number of selected component (if applicable):
3.0.4 to 3.1.3 Async update (in-service)

How reproducible:
Always


Steps to Reproduce:
1.Do in-service  update from 3.0.4 to 3.1.3 Async 
2.
3.

Actual results:
Taking more time to heal few files 


Expected results:
Should not take more time when number of files are less.


Additional info:

Comment 3 Byreddy 2016-07-28 09:41:22 UTC
I am seeing this one when upgrading from 3.0.4 to latest

Comment 4 Atin Mukherjee 2016-08-26 11:59:40 UTC
(In reply to Byreddy from comment #0)
> Description of problem:
> ========================
> Healing of few files taking long time during update from 3.0.4 to 3.1.3_Async
> 
> 
> 
> Version-Release number of selected component (if applicable):
> 3.0.4 to 3.1.3 Async update (in-service)
> 
> How reproducible:
> Always
> 
> 
> Steps to Reproduce:
> 1.Do in-service  update from 3.0.4 to 3.1.3 Async 
> 2.
> 3.
> 
> Actual results:
> Taking more time to heal few files 

When you mention taking more time do you have a comparison report to prove that this is only an issue between 3.0.4 to 3.1.3 async upgrade? I am not sure on what basis this BZ is filed.

> 
> 
> Expected results:
> Should not take more time when number of files are less.
> 
> 
> Additional info:

Comment 5 Byreddy 2016-08-29 04:35:09 UTC
(In reply to Atin Mukherjee from comment #4)
> (In reply to Byreddy from comment #0)
> > Description of problem:
> > ========================
> > Healing of few files taking long time during update from 3.0.4 to 3.1.3_Async
> > 
> > 
> > 
> > Version-Release number of selected component (if applicable):
> > 3.0.4 to 3.1.3 Async update (in-service)
> > 
> > How reproducible:
> > Always
> > 
> > 
> > Steps to Reproduce:
> > 1.Do in-service  update from 3.0.4 to 3.1.3 Async 
> > 2.
> > 3.
> > 
> > Actual results:
> > Taking more time to heal few files 
> 
> When you mention taking more time do you have a comparison report to prove
> that this is only an issue between 3.0.4 to 3.1.3 async upgrade? I am not
> sure on what basis this BZ is filed.

I don't have any data about time, data to heal should match with time it should take but in this case it didn't happened, i had little data and it took more time heal which was not expected. 

Why i raised this bug is: I saw this slowness in healing only during update from 3.0.4 to latest and it took less time when i done the same update from 3.1.x to latest

Thanks
> 
> > 
> > 
> > Expected results:
> > Should not take more time when number of files are less.
> > 
> > 
> > Additional info: